## kf6-purpose 6.19.0+p24.04+vstable+git20251017.0457

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(Purpose)

find_package(ECM 6.19.0 REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(REQUIRED_QT_VERSION 6.8.0)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)

include(FeatureSummary)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMInstallIcons)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMGenerateQmlTypes)
include(ECMQMLModules)
include(ECMQmlModule)
include(ECMGenerateQDoc)

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Qml Gui Widgets Network Test)

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
  find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
  set(HAVE_DBUS ON)
endif()

set(KF_VERSION "6.20.0") # handled by release scripts
set(KF_DEP_VERSION "6.19.0") # handled by release scripts

find_package(KF6 ${KF_DEP_VERSION} REQUIRED COMPONENTS CoreAddons I18n Config Kirigami Notifications KIO Service)

find_package(KAccounts6)

set_package_properties(KAccounts6 PROPERTIES
                       PURPOSE "Needed for YouTube and Nextcloud upload"
                       TYPE OPTIONAL
)
ecm_find_qmlmodule(SSO.OnlineAccounts 0.1)

ecm_find_qmlmodule(org.kde.kquickcontrolsaddons 2.0)
ecm_find_qmlmodule(org.kde.prison 1.0)
ecm_find_qmlmodule(org.kde.kitemmodels 1.0)

ecm_setup_version(${KF_VERSION} VARIABLE_PREFIX PURPOSE
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/purpose_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6PurposeConfigVersion.cmake"
                        SOVERSION 6)

ecm_set_disabled_deprecation_versions(
    QT 6.10.0
    KF 6.18.0
)

add_subdirectory( src )
if (BUILD_TESTING)
    add_subdirectory( autotests )
    add_subdirectory( tests )
endif()

ki18n_install(po)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Purpose")

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6PurposeConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6PurposeConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6PurposeConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6PurposeConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6PurposeTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6PurposeTargets.cmake NAMESPACE KF6:: )

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/purpose_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Purpose COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kf6-purpose (6.19.0+p24.04+vstable+git20251017.0457-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 04:57:49 +0000

kf6-purpose (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:15:43 +0000

=== debian/control ===
Source: kf6-purpose
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               intltool,
               kaccounts-integration-dev,
               kde-qdoc-common-dev,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdeclarative-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami2-dev,
               kf6-knotifications-dev,
               kf6-kwallet-dev,
               libaccounts-glib-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Homepage: https://cgit.kde.org/purpose.git/
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-purpose.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-purpose
Maintainer: Neon CI <neon@kde.org>

Package: kf6-purpose
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-bluez-qt,
         kf6-kcmutils,
         kf6-kirigami2,
         kf6-prison,
         qml6-module-sso-onlineaccounts,
         qt6-5compat,
         qt6-base,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5purpose-bin (<< 5.116.0)
Replaces: libkf5purpose-bin (<< 5.116.0),
          libkf6purpose-bin,
          libkf6purpose-data,
          libkf6purpose6,
          qml6-module-org-kde-purpose
Description: abstraction to provide and leverage actions of a specific kind, runtime
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose runtime elements.

Package: kf6-purpose-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kcoreaddons-dev,
         kf6-purpose (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf6purpose-dev, libkf6purpose-doc
Description: abstraction to provide and leverage actions of a specific kind, devel files
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose development files.

Package: libkf6purpose6
Architecture: all
Depends: kf6-purpose, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6purpose-bin
Architecture: all
Depends: kf6-purpose, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6purpose-data
Architecture: all
Depends: kf6-purpose, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6purpose-dev
Architecture: all
Depends: kf6-purpose-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6purpose-doc
Architecture: all
Depends: kf6-purpose-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-purpose
Architecture: all
Depends: kf6-purpose, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
         dbus-x11,
         kinit,
         libgl1-mesa-dri,
         openbox,
         xauth,
         xvfb,
         @,
         @builddeps@
Restrictions: build-needed, allow-stderr

Tests: acc
Depends: dh-acc, exuberant-ctags, @
Restrictions: allow-stderr

## kf6-purpose 6.19.0+p24.04+vstable+git20251019.0449

=== debian/changelog ===
kf6-purpose (6.19.0+p24.04+vstable+git20251019.0449-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 04:49:59 +0000

## kf6-purpose 6.19.0+p24.04+vunstable+git20251020.1047

=== debian/changelog ===
kf6-purpose (6.19.0+p24.04+vunstable+git20251020.1047-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 10:47:20 +0000

## kf6-purpose 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(Purpose)
 
-find_package(ECM 6.19.0 REQUIRED NO_MODULE)
+find_package(ECM 6.20.0 REQUIRED NO_MODULE)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
@@ -42,7 +42,7 @@
 endif()
 
 set(KF_VERSION "6.20.0") # handled by release scripts
-set(KF_DEP_VERSION "6.19.0") # handled by release scripts
+set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 
 find_package(KF6 ${KF_DEP_VERSION} REQUIRED COMPONENTS CoreAddons I18n Config Kirigami Notifications KIO Service)
 
@@ -65,7 +65,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.18.0
+    KF 6.19.0
 )
 
 add_subdirectory( src )

=== debian/changelog ===
kf6-purpose (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:26:49 +0100

=== debian/control ===
Source: kf6-purpose
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.20.0~),
               gettext,
               intltool,
               libkaccounts6-dev,
               libkf6config-dev (>= 6.20.0~),
               libkf6coreaddons-dev (>= 6.20.0~),
               libkf6i18n-dev (>= 6.20.0~),
               libkf6itemmodels-dev (>= 6.18.0~),
               libkf6kcmutils-dev,
               libkf6kio-dev (>= 6.20.0~),
               libkf6notifications-dev (>= 6.20.0~),
               libkf6service-dev (>= 6.20.0~),
               libkirigami-dev (>= 6.20.0~),
               pkgconf,
               qml6-module-org-kde-bluezqt [linux-any],
               qml6-module-org-kde-prison,
               qml6-module-sso-onlineaccounts,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-declarative-private-dev,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/purpose
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-purpose
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-purpose.git
Rules-Requires-Root: no

Package: libkf6purpose-bin
Architecture: any
Multi-Arch: same
Breaks: libkf5purpose-bin (<< 5.115.0-3~),
Replaces: libkf5purpose-bin (<< 5.115.0-3~),
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: qml6-module-org-kde-kdeconnect,
            qml6-module-org-kde-purpose,
Suggests: kdeconnect,
Description: abstraction to provide and leverage actions of a specific kind, runtime
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose runtime elements.

Package: libkf6purpose-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: abstraction to provide and leverage actions of a specific kind, translations
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose translations.

Package: libkf6purpose-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6coreaddons-dev (>= 6.20.0~),
         libkf6purpose6 (= ${binary:Version}),
         libkf6purposewidgets6 (= ${binary:Version}),
         qml6-module-org-kde-purpose (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Description: abstraction to provide and leverage actions of a specific kind, devel files
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose development files.

Package: libkf6purpose6
Architecture: any
Multi-Arch: same
Depends: libkf6purpose-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: qml6-module-org-kde-purpose (= ${binary:Version}),
Description: library for abstractions to get the developer's purposes fulfilled
 Framework for providing abstractions to get the developer's purposes fulfilled.
 .
 This package contains the Purpose library.

Package: libkf6purposewidgets6
Architecture: any
Multi-Arch: same
Depends: libkf6purpose-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for abstractions to get the developer's purposes fulfilled
 Framework for providing abstractions to get the developer's purposes fulfilled.
 .
 This package contains the Purpose widgets library.

Package: qml6-module-org-kde-purpose
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: kdeconnect,
Description: abstraction to provide and leverage actions of a specific kind, qml bindings
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose Qt Quick QML bindings.

## kf6-purpose 6.20.0+p24.04+vunstable+git20251122.0900

=== CMakeLists.txt ===
--- 
+++ 
@@ -41,7 +41,7 @@
   set(HAVE_DBUS ON)
 endif()
 
-set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 
 find_package(KF6 ${KF_DEP_VERSION} REQUIRED COMPONENTS CoreAddons I18n Config Kirigami Notifications KIO Service)

=== debian/changelog ===
kf6-purpose (6.20.0+p24.04+vunstable+git20251122.0900-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 09:00:57 +0000

kf6-purpose (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:47 +1000

## kf6-purpose 6.20.0+p24.04+vunstable+git20251206.0718

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(Purpose)
 
-find_package(ECM 6.20.0 REQUIRED NO_MODULE)
+find_package(ECM 6.21.0 REQUIRED NO_MODULE)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
@@ -41,8 +41,8 @@
   set(HAVE_DBUS ON)
 endif()
 
-set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 
 find_package(KF6 ${KF_DEP_VERSION} REQUIRED COMPONENTS CoreAddons I18n Config Kirigami Notifications KIO Service)

=== debian/changelog ===
kf6-purpose (6.20.0+p24.04+vunstable+git20251206.0718-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 07:18:39 +0000

## kf6-purpose 6.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -41,7 +41,7 @@
   set(HAVE_DBUS ON)
 endif()
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 
 find_package(KF6 ${KF_DEP_VERSION} REQUIRED COMPONENTS CoreAddons I18n Config Kirigami Notifications KIO Service)

=== debian/changelog ===
kf6-purpose (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:54:18 +0000

kf6-purpose (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:16:56 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-purpose
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
@@ -10,42 +11,36 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.20.0~),
+               extra-cmake-modules (>= 6.21.0~),
                gettext,
                intltool,
                libkaccounts6-dev,
-               libkf6config-dev (>= 6.20.0~),
-               libkf6coreaddons-dev (>= 6.20.0~),
-               libkf6i18n-dev (>= 6.20.0~),
-               libkf6itemmodels-dev (>= 6.18.0~),
-               libkf6kcmutils-dev,
-               libkf6kio-dev (>= 6.20.0~),
-               libkf6notifications-dev (>= 6.20.0~),
-               libkf6service-dev (>= 6.20.0~),
-               libkirigami-dev (>= 6.20.0~),
+               libkf6config-dev (>= 6.21.0~),
+               libkf6coreaddons-dev (>= 6.21.0~),
+               libkf6i18n-dev (>= 6.21.0~),
+               libkf6kio-dev (>= 6.21.0~),
+               libkf6notifications-dev (>= 6.21.0~),
+               libkf6service-dev (>= 6.21.0~),
+               libkirigami-dev (>= 6.21.0~),
                pkgconf,
-               qml6-module-org-kde-bluezqt [linux-any],
-               qml6-module-org-kde-prison,
+               qml6-module-org-kde-bluezqt (>= 6.21.0~),
+               qml6-module-org-kde-kitemmodels (>= 6.21.0~),
+               qml6-module-org-kde-kquickcontrolsaddons (>= 6.21.0~),
+               qml6-module-org-kde-prison (>= 6.21.0~),
                qml6-module-sso-onlineaccounts,
-               qt6-base-dev (>= 6.8.0~),
-               qt6-declarative-dev (>= 6.8.0~),
-               qt6-declarative-private-dev,
-Standards-Version: 4.7.2
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/purpose
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-purpose
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-purpose.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-purpose
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-purpose
 Rules-Requires-Root: no
 
 Package: libkf6purpose-bin
 Architecture: any
 Multi-Arch: same
-Breaks: libkf5purpose-bin (<< 5.115.0-3~),
-Replaces: libkf5purpose-bin (<< 5.115.0-3~),
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
-Recommends: qml6-module-org-kde-kdeconnect,
-            qml6-module-org-kde-purpose,
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Recommends: qml6-module-org-kde-purpose,
 Suggests: kdeconnect,
 Description: abstraction to provide and leverage actions of a specific kind, runtime
  Purpose offers the possibility to create integrate services and actions on
@@ -73,11 +68,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6coreaddons-dev (>= 6.20.0~),
+Depends: libkf6coreaddons-dev (>= 6.21.0~),
          libkf6purpose6 (= ${binary:Version}),
          libkf6purposewidgets6 (= ${binary:Version}),
          qml6-module-org-kde-purpose (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0~),
+         qt6-base-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},
 Description: abstraction to provide and leverage actions of a specific kind, devel files
  Purpose offers the possibility to create integrate services and actions on
@@ -93,6 +88,7 @@
 Multi-Arch: same
 Depends: libkf6purpose-data (= ${source:Version}),
          ${misc:Depends},
+         ${qml6:Depends},
          ${shlibs:Depends},
 Recommends: qml6-module-org-kde-purpose (= ${binary:Version}),
 Description: library for abstractions to get the developer's purposes fulfilled
@@ -105,6 +101,7 @@
 Multi-Arch: same
 Depends: libkf6purpose-data (= ${source:Version}),
          ${misc:Depends},
+         ${qml6:Depends},
          ${shlibs:Depends},
 Description: library for abstractions to get the developer's purposes fulfilled
  Framework for providing abstractions to get the developer's purposes fulfilled.
@@ -114,10 +111,8 @@
 Package: qml6-module-org-kde-purpose
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
-Recommends: kdeconnect,
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Suggests: kdeconnect,
 Description: abstraction to provide and leverage actions of a specific kind, qml bindings
  Purpose offers the possibility to create integrate services and actions on
  any application without having to implement them specifically. Purpose will

## kf6-purpose 6.21.0+p24.04+vstable+git20251207.0945

=== debian/changelog ===
kf6-purpose (6.21.0+p24.04+vstable+git20251207.0945-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 09:45:20 +0000

kf6-purpose (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:10:17 +1000

## kf6-purpose 6.21.0+p24.04+vstable+git20251224.0712

=== CMakeLists.txt ===
--- 
+++ 
@@ -41,7 +41,7 @@
   set(HAVE_DBUS ON)
 endif()
 
-set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 
 find_package(KF6 ${KF_DEP_VERSION} REQUIRED COMPONENTS CoreAddons I18n Config Kirigami Notifications KIO Service)
@@ -64,8 +64,8 @@
                         SOVERSION 6)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
-    KF 6.19.0
+    QT 6.11.0
+    KF 6.21.0
 )
 
 add_subdirectory( src )

=== debian/changelog ===
kf6-purpose (6.21.0+p24.04+vstable+git20251224.0712-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 07:12:36 +0000

## kf6-purpose 6.21.0+p24.04+vstable+git20251231.0148

=== debian/changelog ===
kf6-purpose (6.21.0+p24.04+vstable+git20251231.0148-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 01:48:12 +0000

## kf6-purpose 6.21.0+p24.04+vstable+git20260103.0421

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(Purpose)
 
-find_package(ECM 6.21.0 REQUIRED NO_MODULE)
+find_package(ECM 6.22.0 REQUIRED NO_MODULE)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
@@ -41,8 +41,8 @@
   set(HAVE_DBUS ON)
 endif()
 
-set(KF_VERSION "6.22.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 
 find_package(KF6 ${KF_DEP_VERSION} REQUIRED COMPONENTS CoreAddons I18n Config Kirigami Notifications KIO Service)

=== debian/changelog ===
kf6-purpose (6.21.0+p24.04+vstable+git20260103.0421-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 04:21:19 +0000

## kf6-purpose 6.21.0+p24.04+vstable+git20260105.0902

=== debian/changelog ===
kf6-purpose (6.21.0+p24.04+vstable+git20260105.0902-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 09:02:50 +0000

## kf6-purpose 6.22.0

=== debian/changelog ===
kf6-purpose (6.22.0-0ubuntu3) resolute; urgency=medium

  * Add build depend on qml6-module-org-kde-kcmutils

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 04:58:59 +0000

kf6-purpose (6.22.0-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:59:40 +0000

kf6-purpose (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:33:42 +0000

=== debian/control ===
--- 
+++ 
@@ -6,27 +6,28 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
                gettext,
                intltool,
                libkaccounts6-dev,
-               libkf6config-dev (>= 6.21.0~),
-               libkf6coreaddons-dev (>= 6.21.0~),
-               libkf6i18n-dev (>= 6.21.0~),
-               libkf6kio-dev (>= 6.21.0~),
-               libkf6notifications-dev (>= 6.21.0~),
-               libkf6service-dev (>= 6.21.0~),
-               libkirigami-dev (>= 6.21.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6kio-dev (>= 6.22.0~),
+               libkf6notifications-dev (>= 6.22.0~),
+               libkf6service-dev (>= 6.22.0~),
+               libkirigami-dev (>= 6.22.0~),
                pkgconf,
-               qml6-module-org-kde-bluezqt (>= 6.21.0~),
-               qml6-module-org-kde-kitemmodels (>= 6.21.0~),
-               qml6-module-org-kde-kquickcontrolsaddons (>= 6.21.0~),
-               qml6-module-org-kde-prison (>= 6.21.0~),
+               qml6-module-org-kde-bluezqt (>= 6.22.0~),
+               qml6-module-org-kde-kcmutils,
+               qml6-module-org-kde-kitemmodels (>= 6.22.0~),
+               qml6-module-org-kde-kquickcontrolsaddons (>= 6.22.0~),
+               qml6-module-org-kde-prison (>= 6.22.0~),
                qml6-module-sso-onlineaccounts,
                qt6-base-dev (>= 6.8.0+dfsg~),
                qt6-declarative-dev (>= 6.8.0+dfsg~),
@@ -68,7 +69,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6coreaddons-dev (>= 6.21.0~),
+Depends: libkf6coreaddons-dev (>= 6.22.0~),
          libkf6purpose6 (= ${binary:Version}),
          libkf6purposewidgets6 (= ${binary:Version}),
          qml6-module-org-kde-purpose (= ${binary:Version}),

## kf6-purpose 6.22.0+p24.04+vstable+git20260201.0218

=== debian/changelog ===
kf6-purpose (6.22.0+p24.04+vstable+git20260201.0218-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 02:18:55 +0000

kf6-purpose (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:41:33 +1000

## kf6-purpose 6.22.0+p24.04+vstable+git20260203.0801

=== debian/changelog ===
kf6-purpose (6.22.0+p24.04+vstable+git20260203.0801-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 03 Feb 2026 08:01:17 +0000

## kf6-purpose 6.22.0+p24.04+vunstable+git20260202.0926

=== debian/changelog ===
kf6-purpose (6.22.0+p24.04+vunstable+git20260202.0926-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 09:26:10 +0000

## kf6-purpose 6.22.0+p24.04+vunstable+git20260204.0829

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
 project(Purpose)

=== debian/changelog ===
kf6-purpose (6.22.0+p24.04+vunstable+git20260204.0829-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 08:29:38 +0000

## kf6-purpose 6.23.0

=== debian/changelog ===
kf6-purpose (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:46:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,47 +1,49 @@
 Source: kf6-purpose
 Section: libs
-Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               extra-cmake-modules (>= 6.22.0~),
+               cmake (>= 3.27~),
+               extra-cmake-modules (>= 6.23.0~),
                gettext,
                intltool,
                libkaccounts6-dev,
-               libkf6config-dev (>= 6.22.0~),
-               libkf6coreaddons-dev (>= 6.22.0~),
-               libkf6i18n-dev (>= 6.22.0~),
-               libkf6kio-dev (>= 6.22.0~),
-               libkf6notifications-dev (>= 6.22.0~),
-               libkf6service-dev (>= 6.22.0~),
-               libkirigami-dev (>= 6.22.0~),
+               libkf6config-dev (>= 6.23.0~),
+               libkf6coreaddons-dev (>= 6.23.0~),
+               libkf6i18n-dev (>= 6.23.0~),
+               libkf6itemmodels-dev (>= 6.18.0~),
+               libkf6kcmutils-dev,
+               libkf6kio-dev (>= 6.23.0~),
+               libkf6notifications-dev (>= 6.23.0~),
+               libkf6service-dev (>= 6.23.0~),
+               libkirigami-dev (>= 6.23.0~),
                pkgconf,
-               qml6-module-org-kde-bluezqt (>= 6.22.0~),
-               qml6-module-org-kde-kcmutils,
-               qml6-module-org-kde-kitemmodels (>= 6.22.0~),
-               qml6-module-org-kde-kquickcontrolsaddons (>= 6.22.0~),
-               qml6-module-org-kde-prison (>= 6.22.0~),
+               qml6-module-org-kde-bluezqt [linux-any],
+               qml6-module-org-kde-prison,
                qml6-module-sso-onlineaccounts,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.8.0~),
+               qt6-declarative-dev (>= 6.8.0~),
+               qt6-declarative-private-dev,
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/frameworks/purpose
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-purpose
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-purpose
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-purpose
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-purpose.git
 
 Package: libkf6purpose-bin
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
-Recommends: qml6-module-org-kde-purpose,
+Breaks: libkf5purpose-bin (<< 5.115.0-3~),
+Replaces: libkf5purpose-bin (<< 5.115.0-3~),
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
+Recommends: qml6-module-org-kde-kdeconnect,
+            qml6-module-org-kde-purpose,
 Suggests: kdeconnect,
 Description: abstraction to provide and leverage actions of a specific kind, runtime
  Purpose offers the possibility to create integrate services and actions on
@@ -69,11 +71,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6coreaddons-dev (>= 6.22.0~),
+Depends: libkf6coreaddons-dev (>= 6.23.0~),
          libkf6purpose6 (= ${binary:Version}),
          libkf6purposewidgets6 (= ${binary:Version}),
          qml6-module-org-kde-purpose (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0+dfsg~),
+         qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},
 Description: abstraction to provide and leverage actions of a specific kind, devel files
  Purpose offers the possibility to create integrate services and actions on
@@ -89,7 +91,6 @@
 Multi-Arch: same
 Depends: libkf6purpose-data (= ${source:Version}),
          ${misc:Depends},
-         ${qml6:Depends},
          ${shlibs:Depends},
 Recommends: qml6-module-org-kde-purpose (= ${binary:Version}),
 Description: library for abstractions to get the developer's purposes fulfilled
@@ -102,7 +103,6 @@
 Multi-Arch: same
 Depends: libkf6purpose-data (= ${source:Version}),
          ${misc:Depends},
-         ${qml6:Depends},
          ${shlibs:Depends},
 Description: library for abstractions to get the developer's purposes fulfilled
  Framework for providing abstractions to get the developer's purposes fulfilled.
@@ -112,8 +112,10 @@
 Package: qml6-module-org-kde-purpose
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
-Suggests: kdeconnect,
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
+Recommends: kdeconnect,
 Description: abstraction to provide and leverage actions of a specific kind, qml bindings
  Purpose offers the possibility to create integrate services and actions on
  any application without having to implement them specifically. Purpose will
